GNU Radio C++ API Reference: gr::fft::fft< T, forward > Class Template Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::fft::fft< T, forward > Class Template Reference

`#include <gnuradio/fft/fft.h>`

## Public Member Functions
| fft (int fft_size, int nthreads=1)
| fft (const fft &)=delete
fft & | operator= (const fft &)=delete
virtual | ~fft ()
fft_inbuf< T, forward >::type * | get_inbuf ()
fft_outbuf< T, forward >::type * | get_outbuf ()
int | inbuf_length () const
int | outbuf_length () const
void | set_nthreads (int n)
int | nthreads () const
void | execute ()

## Constructor & Destructor Documentation

## ◆ fft() [1/2]

template<class T, bool forward>

gr::fft::fft< T, forward >::fft | ( | int | fft_size,
|  | int | nthreads = 1 )

## ◆ fft() [2/2]

template<class T, bool forward>

gr::fft::fft< T, forward >::fft | ( | const fft< T, forward > & |  | ) |
| delete

## ◆ ~fft()

template<class T, bool forward>

virtual gr::fft::fft< T, forward >::~fft | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ execute()

template<class T, bool forward>

void gr::fft::fft< T, forward >::execute | ( |  | ) |

compute FFT. The input comes from inbuf, the output is placed in outbuf.

## ◆ get_inbuf()

template<class T, bool forward>

fft_inbuf< T, forward >::type * gr::fft::fft< T, forward >::get_inbuf | ( |  | ) |
| inline

## ◆ get_outbuf()

template<class T, bool forward>

fft_outbuf< T, forward >::type * gr::fft::fft< T, forward >::get_outbuf | ( |  | ) |
| inline

## ◆ inbuf_length()

template<class T, bool forward>

int gr::fft::fft< T, forward >::inbuf_length | ( |  | ) | const
| inline

## ◆ nthreads()

template<class T, bool forward>

int gr::fft::fft< T, forward >::nthreads | ( |  | ) | const
| inline

Get the number of threads being used by FFTW

## ◆ operator=()

template<class T, bool forward>

fft & gr::fft::fft< T, forward >::operator= | ( | const fft< T, forward > & |  | ) |
| delete

## ◆ outbuf_length()

template<class T, bool forward>

int gr::fft::fft< T, forward >::outbuf_length | ( |  | ) | const
| inline

## ◆ set_nthreads()

template<class T, bool forward>

void gr::fft::fft< T, forward >::set_nthreads | ( | int | n | ) |

Set the number of threads to use for calculation.

The documentation for this class was generated from the following file:

- fft.h